org.apache.poi.sl.usermodel

## Enum TextShape.TextPlaceholder

- java.lang.Object
- - java.lang.Enum<TextShape.TextPlaceholder>
  - - org.apache.poi.sl.usermodel.TextShape.TextPlaceholder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextShape.TextPlaceholder>
  Enclosing interface:
    TextShape<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>

      public static enum TextShape.TextPlaceholder
      extends java.lang.Enum<TextShape.TextPlaceholder>

  This enum represents a compromise for the handling of HSLF run types (see org.apache.poi.hslf.record.TextHeaderAtom) and XSLF placeholders (see org.apache.poi.xslf.usermodel.Placeholder). When a shape is considered a placeholder by the generating application it can have special properties to alert the user that they may enter content into the shape. This enum and the handling around it may change significantly in future releases

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BODY` Body placeholder shape text
    `CENTER_BODY` Center body placeholder shape text
    `CENTER_TITLE` Center title placeholder shape text
    `HALF_BODY` Half-sized body placeholder shape text
    `NOTES` Notes placeholder shape text
    `OTHER` Any other text
    `QUARTER_BODY` Quarter-sized body placeholder shape text
    `TITLE` Title placeholder shape text

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextShape.TextPlaceholder` | `fromNativeId(int nativeId)`
    `static boolean` | `isTitle(int nativeId)`
    `static TextShape.TextPlaceholder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextShape.TextPlaceholder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TITLE

          public static final TextShape.TextPlaceholder TITLE

      Title placeholder shape text

    - #### BODY

          public static final TextShape.TextPlaceholder BODY

      Body placeholder shape text

    - #### CENTER_TITLE

          public static final TextShape.TextPlaceholder CENTER_TITLE

      Center title placeholder shape text

    - #### CENTER_BODY

          public static final TextShape.TextPlaceholder CENTER_BODY

      Center body placeholder shape text

    - #### HALF_BODY

          public static final TextShape.TextPlaceholder HALF_BODY

      Half-sized body placeholder shape text

    - #### QUARTER_BODY

          public static final TextShape.TextPlaceholder QUARTER_BODY

      Quarter-sized body placeholder shape text

    - #### NOTES

          public static final TextShape.TextPlaceholder NOTES

      Notes placeholder shape text

    - #### OTHER

          public static final TextShape.TextPlaceholder OTHER

      Any other text

  - ### Field Detail

    - #### nativeId

          public final int nativeId

  - ### Method Detail

    - #### values

          public static TextShape.TextPlaceholder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextShape.TextPlaceholder c : TextShape.TextPlaceholder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextShape.TextPlaceholder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromNativeId

          public static TextShape.TextPlaceholder fromNativeId(int nativeId)

    - #### isTitle

          public static boolean isTitle(int nativeId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.